---
version: "3.8"

services:
  app:
    image: nginx:1.21.0
    secrets:
      - test_pass_one
      - test_pass_two
      - test_pass_three

secrets:
  test_pass_one:
    external: true
    name: ${STACK_NAME}_test_pass_one_${SECRET_TEST_PASS_ONE_VERSION}  # should be removed
  test_pass_two:
    external: true
    name: ${STACK_NAME}_test_pass_two_${SECRET_TEST_PASS_TWO_VERSION}
  test_pass_three:
    external: true
    name: ${STACK_NAME}_pass_three_${SECRET_TEST_PASS_THREE_VERSION} # secretId and name don't match
